package com.ruoyi.szxc.mapper;

import com.ruoyi.szxc.domain.SzxcJmCar;

import java.util.List;

/**
 * 居民车辆关联Mapper接口
 *
 * @author hs
 * @date 2024-03-30
 */
public interface SzxcJmCarMapper
{
    /**
     * 查询居民车辆关联
     *
     * @param id 居民车辆关联主键
     * @return 居民车辆关联
     */
    public SzxcJmCar selectSzxcJmCarById(Long id);

    /**
     * 查询居民车辆关联列表
     *
     * @param szxcJmCar 居民车辆关联
     * @return 居民车辆关联集合
     */
    public List<SzxcJmCar> selectSzxcJmCarList(SzxcJmCar szxcJmCar);

    /**
     * 新增居民车辆关联
     *
     * @param szxcJmCar 居民车辆关联
     * @return 结果
     */
    public int insertSzxcJmCar(SzxcJmCar szxcJmCar);

    /**
     * 修改居民车辆关联
     *
     * @param szxcJmCar 居民车辆关联
     * @return 结果
     */
    public int updateSzxcJmCar(SzxcJmCar szxcJmCar);

    /**
     * 删除居民车辆关联
     *
     * @param id 居民车辆关联主键
     * @return 结果
     */
    public int deleteSzxcJmCarById(Long id);

    /**
     * 批量删除居民车辆关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcJmCarByIds(Long[] ids);
}
